with_venv.sh should enclose command args

Bug #1220937 reported by ZhiQiang Fan on 2013-09-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Glance
Undecided
ZhiQiang Fan
OpenStack DBaaS (Trove)
Low
Zhenguo Niu
OpenStack Dashboard (Horizon)
Low
Zhenguo Niu
OpenStack Heat
Fix Released
Undecided
ZhiQiang Fan
OpenStack Identity (keystone)
Low
ZhiQiang Fan
neutron
Low
ZhiQiang Fan

Bug Description

$ tools/with_venv.sh neutron --os-username "admin 1" net-show "net 1"
Unknown command [u'1', u'net-show', u'net', u'1']

after enclose command in with_venv.sh
$ tools/with_venv.sh neutron --os-username "admin 1" net-show "net 1"
You must provide a password via either --os-password or env[OS_PASSWORD]

ZhiQiang Fan (aji-zqfan) on 2013-09-04
Changed in neutron:
assignee: nobody → ZhiQiang Fan (aji-zqfan)

Fix proposed to branch: master
Review: https://review.openstack.org/45133

Changed in neutron:
status: New → In Progress

Reviewed: https://review.openstack.org/45133
Committed: http://github.com/openstack/neutron/commit/8b9cc772ea3637513179efb797cfd94e49cdb1c1
Submitter: Jenkins
Branch: master

commit 8b9cc772ea3637513179efb797cfd94e49cdb1c1
Author: ZhiQiang Fan <email address hidden>
Date: Thu Sep 5 06:14:18 2013 +0800

    Enclose command args in with_venv.sh

    Change-Id: I6d2ca2f8fca951fe2d90265da8728438dd7d7567
    Closes-Bug: #1220937

Changed in neutron:
status: In Progress → Fix Committed
ZhiQiang Fan (aji-zqfan) on 2013-09-08
Changed in keystone:
assignee: nobody → ZhiQiang Fan (aji-zqfan)
ZhiQiang Fan (aji-zqfan) wrote :

Actually, if we decide to drop run_tests.sh (which will kill with_venv.sh too), this bug is no longer exists. The newest tox seems good enough to kill run_tests.sh, but according to the maillist, run_tests.sh seems will still live for a short time. [1]

[1] Monty Taylor: [openstack-dev] upgrade tox - now with less slowness! Sep 4

Fix proposed to branch: master
Review: https://review.openstack.org/45569

Changed in keystone:
status: New → In Progress
Dolph Mathews (dolph) on 2013-09-08
Changed in keystone:
importance: Undecided → Low
Changed in horizon:
assignee: nobody → Zhenguo Niu (niu-zglinux)
ZhiQiang Fan (aji-zqfan) on 2013-09-09
Changed in glance:
assignee: nobody → ZhiQiang Fan (aji-zqfan)

Fix proposed to branch: master
Review: https://review.openstack.org/45601

Changed in horizon:
status: New → In Progress
Changed in glance:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/45606

Changed in heat:
assignee: nobody → ZhiQiang Fan (aji-zqfan)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/45615

Changed in trove:
assignee: nobody → Zhenguo Niu (niu-zglinux)
status: New → In Progress
Akihiro Motoki (amotoki) on 2013-09-09
Changed in horizon:
importance: Undecided → Low
Changed in neutron:
importance: Undecided → Low
milestone: none → havana-rc1
tags: added: tools
Changed in trove:
milestone: none → havana-rc1
importance: Undecided → Low

Reviewed: https://review.openstack.org/45615
Committed: http://github.com/openstack/trove/commit/d4b324573fee1d6d11e9e10963227d597f57d107
Submitter: Jenkins
Branch: master

commit d4b324573fee1d6d11e9e10963227d597f57d107
Author: Zhenguo Niu <email address hidden>
Date: Mon Sep 9 14:58:02 2013 +0800

    Enclose command args in with_venv.sh

    It will support argument with blanks.

    Change-Id: I83313290a964bf10fe46570f43cf213ceab8a326
    Fixes: bug #1220937

Changed in trove:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/45601
Committed: http://github.com/openstack/horizon/commit/f7a03abc1f7ce26791f237ac5f28b1d864b98fec
Submitter: Jenkins
Branch: master

commit f7a03abc1f7ce26791f237ac5f28b1d864b98fec
Author: Zhenguo Niu <email address hidden>
Date: Mon Sep 9 14:17:40 2013 +0800

    Enclose command args in with_venv.sh

    It will support argument with blanks.

    Change-Id: I4e40cdd2be67c2f306ce53f297b7a830730d1bc7
    Fixes: bug #1220937

Changed in horizon:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/45606
Committed: http://github.com/openstack/heat/commit/7809499daba573b4c3b783a0c603595cf7d03c85
Submitter: Jenkins
Branch: master

commit 7809499daba573b4c3b783a0c603595cf7d03c85
Author: ZhiQiang Fan <email address hidden>
Date: Mon Sep 9 14:36:33 2013 +0800

    Enclose command args in with_venv.sh

    It will support argument with blanks.

    Change-Id: Ic3a00bdafc11459e9726eb99c7bc637d385e859a
    Closes-Bug: #1220937

Changed in heat:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-09-12
Changed in trove:
status: Fix Committed → Fix Released

I will be out of the office starting 2013-09-05 and will not return until
2013-09-15.

I will be on my marriage leave from 9/5 to 9/15, for any urgent issue
please call me before 9/7.

For daily work, please ask my scrum master Zhu Zhu for help.
For glance issue, please ask glance SME Feilong Wang for help.
For defect report, there will be no report next week.

Reviewed: https://review.openstack.org/45569
Committed: http://github.com/openstack/keystone/commit/27d0463e93fbe9d1192d3db6a0b9bce3b13efd9a
Submitter: Jenkins
Branch: master

commit 27d0463e93fbe9d1192d3db6a0b9bce3b13efd9a
Author: ZhiQiang Fan <email address hidden>
Date: Sun Sep 8 16:14:40 2013 +0800

    Enclose command args in with_venv.sh

    Sync tools/with_venv.sh from oslo, it will support argument with
    blanks.

    Closes-Bug: #1220937
    Change-Id: Id10528efcdd1abad3009c13f2c5bde6dcf172520

Changed in keystone:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-10-02
Changed in keystone:
milestone: none → havana-rc1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-03
Changed in horizon:
milestone: none → havana-rc1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-03
Changed in neutron:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-03
Changed in heat:
milestone: none → havana-rc1
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/45604
Committed: http://github.com/openstack/glance/commit/dab794e6fb1543a61586c060ccdb84a88119df5f
Submitter: Jenkins
Branch: master

commit dab794e6fb1543a61586c060ccdb84a88119df5f
Author: ZhiQiang Fan <email address hidden>
Date: Mon Sep 9 14:22:44 2013 +0800

    Enclose command args in with_venv.sh

    Sync tools/with_venv.sh from oslo, it will support argument with
    blanks.

    Change-Id: Ibb802b21d609ea6b54fc168b17705f06ad1cb86a
    Closes-Bug: #1220937

Changed in glance:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-10-17
Changed in heat:
milestone: havana-rc1 → 2013.2
Thierry Carrez (ttx) on 2013-10-17
Changed in neutron:
milestone: havana-rc1 → 2013.2
Thierry Carrez (ttx) on 2013-10-17
Changed in keystone:
milestone: havana-rc1 → 2013.2
Thierry Carrez (ttx) on 2013-10-17
Changed in horizon:
milestone: havana-rc1 → 2013.2
Thierry Carrez (ttx) on 2013-10-18
Changed in trove:
milestone: havana-rc1 → 2013.2
Thierry Carrez (ttx) on 2013-12-04
Changed in glance:
milestone: none → icehouse-1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-04-17
Changed in glance:
milestone: icehouse-1 → 2014.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers